# export DOCKER_HOST="unix://$XDG_RUNTIME_DIR/docker.sock"
# export DOCKER_SOCKET="$XDG_RUNTIME_DIR/docker.sock"
if (( $+commands[hx] )); then
  export EDITOR="hx"
  export VISUAL="hx"
elif (( $+commands[helix] )); then
  export EDITOR="helix"
  export VISUAL="helix"
fi

export FINDER="sk"
export GPG_TTY=$(tty)
export HELIX_RUNTIME="/usr/lib/helix/runtime"
export NVM_DIR="$HOME/.nvm"
export SKIM_DEFAULT_COMMAND="git ls-tree -r --name-only HEAD || rg --files"

fpath+=(~/.zsh/completions)

# Setup cargo
[[ -s ~/.cargo/env ]] && source ~/.cargo/env

if (( $+commands[fd] )); then
  export FZF_DEFAULT_COMMAND="fd --type f"
  export FZF_CTRL_T_COMMAND="$FZF_DEFAULT_COMMAND"
fi

if (( $+commands[sccache] )); then
  export RUSTC_WRAPPER="$(which sccache)"
fi

# Local environment
if [[ -s ~/.zshenv.local ]]; then
  source ~/.zshenv.local
fi
